package ink.wgink.module.examine.pojo.dtos.question;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: QuestionTypeDTO
 * @Description: 试题类型
 * @Author: CodeFactory
 * @Date: 2021-04-04 11:40:13
 * @Version: 3.0
 **/
@ApiModel
public class QuestionTypeDTO {

    @ApiModelProperty(name = "questionTypeId", value = "主键")
    private String questionTypeId;
    @ApiModelProperty(name = "questionTypeParentId", value = "上级ID")
    private String questionTypeParentId;
    @ApiModelProperty(name = "questionTypeParentName", value = "上级名称")
    private String questionTypeParentName;
    @ApiModelProperty(name = "typeName", value = "类型名称")
    private String typeName;
    @ApiModelProperty(name = "typeSummary", value = "说明")
    private String typeSummary;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "是否删除")
    private Integer isDelete;

    public String getQuestionTypeId() {
        return questionTypeId == null ? "" : questionTypeId.trim();
    }

    public void setQuestionTypeId(String questionTypeId) {
        this.questionTypeId = questionTypeId;
    }

    public String getQuestionTypeParentId() {
        return questionTypeParentId == null ? "" : questionTypeParentId.trim();
    }

    public void setQuestionTypeParentId(String questionTypeParentId) {
        this.questionTypeParentId = questionTypeParentId;
    }

    public String getQuestionTypeParentName() {
        return questionTypeParentName == null ? "" : questionTypeParentName.trim();
    }

    public void setQuestionTypeParentName(String questionTypeParentName) {
        this.questionTypeParentName = questionTypeParentName;
    }

    public String getTypeName() {
        return typeName == null ? "" : typeName.trim();
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeSummary() {
        return typeSummary == null ? "" : typeSummary.trim();
    }

    public void setTypeSummary(String typeSummary) {
        this.typeSummary = typeSummary;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
